Bug 458736 - fonts suddenly become tiny
fonts suddenly become tiny
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
Reported: 2008-08-11 20:48 EDT by Tom Horsley
Modified: 2015-01-14 18:21 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-29 18:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
My most recent Xorg.0.log file (13.38 KB, text/plain)
2008-10-26 18:37 EDT, Tom Horsley
no flags Details
the matching xorg.conf file for previous log attachment (1.19 KB, text/plain)
2008-10-26 18:39 EDT, Tom Horsley
no flags Details
Xorg.0.log when running with no xorg.conf file (40.74 KB, text/plain)
2008-10-26 18:55 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2008-08-11 20:48:26 EDT
Description of problem:

bug 377651 is still here with a new twist. Instead of coming up
with microscopic fonts to start with, the gdm login screen comes up
initially and appears to be showing the desired 96 DPI, then a few
seconds after tantalizing me with the idea that the problem is fixed,
the login dialog suddenly redraws itself with the microscopic
52DPI fonts.

Version-Release number of selected component (if applicable):

This was installed from the Fedora-10-Alpha-x86_64-DVD, so whatever
version is on there.

How reproducible:

every time

Steps to Reproduce:
1. boot up system and see gdm login screen
Actual results:

perfectly reasonable size fonts become tiny

Expected results:

Just keep the perfectly reasonable size fonts

Additional info:
Comment 1 Tom Horsley 2008-10-06 21:04:49 EDT
Over in bug 451562 there is a comment about manually adding files
to the ~gdm/.gconf directory tree, basically to make it look like
you've run the gnome appearance app to set the default dpi to 96
manually. This did indeed seem to work for me, but it was an
awful obscure way to get there :-).
Comment 2 Matthias Clasen 2008-10-25 17:21:52 EDT
The more interesting question is why your x server thinks that it should lie about the dpi of the monitor.
Comment 3 Tom Horsley 2008-10-25 18:48:58 EDT
The server isn't lying. The monitor is a 42" diagonal 1920x1080 HD
LCD display. If you calculate the actual DPI you get something like
52 or 54 DPI. That is indeed the correct value, but that means for
something like a 10 point font, it uses about 4 pixels - not enough to
render a readable font. Since "viewing distance" or "angular diameter"
aren't configurable X parameters, forcing a different DPI is simplest.

(I pity the person that has a 52" or 60" display, they will be down
around 1 pixel for most font requests and don't stand a chance of even
beginning to guess what anything says so they can grope their way to
the font config dialog :-).
Comment 4 Matěj Cepl 2008-10-26 18:02:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Tom Horsley 2008-10-26 18:37:10 EDT
Created attachment 321560 [details]
My most recent Xorg.0.log file

This is from the last time I booted. Note that I've got the nvidia driver
installed, and have copied the font config info from my ~/.gconf to ~gdm/.gconf
so I can actually read the login screen with this setup :-).
Comment 6 Tom Horsley 2008-10-26 18:39:05 EDT
Created attachment 321561 [details]
the matching xorg.conf file for previous log attachment

Here's the xorg.conf file I'm using with the nvidia driver.
Comment 7 Tom Horsley 2008-10-26 18:55:34 EDT
Created attachment 321566 [details]
Xorg.0.log when running with no xorg.conf file

After I figured out I needed to disable the nvidia service so it wouldn't
create a new xorg.conf file on me, I got this log from starting X with no
xorg.conf file.

My current theory on the sudden size change (which I don't see anymore
now that I have the font config info copied to ~gdm/.gconf/...) is that
gdm got started before gnome-settings-daemon and used default info
(which might mean 96DPI) until it was poked by the settings daemon
starting, then it switched to accurate DPI info (which looks horrible).
(But that's just my theory, might have nothing to do with anything).
Comment 8 Bill Nottingham 2008-11-05 16:57:03 EST
Given comments, changing bug component.
Comment 9 Bug Zapper 2008-11-25 21:44:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 10 David 2009-02-23 17:42:29 EST
A friend of mine is experiencing this bug since he updated his monitor to a new 16x9 LCD.

But I only see the small fonts after the gnome user login (seems okay on the password / user select page).

However I set in the display properties larger font point sizes.

This indeed fixes this, the setting are saved.

Upon the next restart its back to tiny again.  However you look and its still set the the larger font point size.

You then reselect the same point sizes and exit and it fixes the issue, until the next restart.

So the changes are being ignored and overwritten on login is my guess, and you have to manually override this my reselecting the already large size.

It should not need the 1 point size font increase anyway to begin with, so the issue is the same.
Comment 11 David 2009-02-23 17:44:01 EST
Yes and it is Fedora 10 and latest packages from updates-testing!
Comment 12 Adam Jackson 2009-10-29 18:52:33 EDT
libgnome-desktop will force the dpi to 96 now (as of F12 at least).

Note You need to log in before you can comment on or make changes to this bug.